org.wso2.carbon.device.mgt.mobile.windows.api.common

## Class PluginConstants.CertificateEnrolment

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.common.PluginConstants.CertificateEnrolment

- Enclosing class:
    PluginConstants

      public final class PluginConstants.CertificateEnrolment
      extends Object

  Certificate enrollment Service related constants.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALGORITHM`
    `static int` | `APPAUTH_PASSWORD_POSITION`
    `static int` | `APPAUTH_USERNAME_POSITION`
    `static String` | `CA_CERT`
    `static int` | `CA_CERTIFICATE_POSITION`
    `static String` | `CREATED`
    `static int` | `DOMAIN_POSITION`
    `static int` | `DOMAIN_SEGMENT`
    `static int` | `EMAIL_SEGMENT`
    `static String` | `ENCODING_TYPE`
    `static String` | `ENROLL_SUBDOMAIN`
    `static String` | `ENROLLMENT_DISPOSITION_MESSAGE`
    `static String` | `EXPIRES`
    `static String` | `JKS`
    `static String` | `PARM`
    `static int` | `POLLING_FREQUENCY_POSITION`
    `static String` | `PROVIDER`
    `static int` | `REQUEST_ID`
    `static String` | `SECURITY`
    `static int` | `SIGNED_CERTIFICATE_POSITION`
    `static int` | `SYNCML_PROVISIONING_ADDR_POSITION`
    `static String` | `SYNCML_PROVISIONING_SERVICE_URL`
    `static String` | `SYNCML_PROVISIONING_WIN10_SERVICE_URL`
    `static String` | `TIMESTAMP`
    `static String` | `TIMESTAMP_0`
    `static String` | `TIMESTAMP_ID`
    `static String` | `TIMESTAMP_U`
    `static String` | `TOKEN_TYPE`
    `static String` | `TYPE`
    `static String` | `UTF_8`
    `static String` | `VALUE`
    `static String` | `VALUE_TYPE`
    `static String` | `WAP_PROVISIONING_XML`
    `static String` | `WSS_SECURITY_UTILITY`
    `static String` | `X_509`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TOKEN_TYPE

          public static final String TOKEN_TYPE

      See Also:
        Constant Field Values

    - #### PARM

          public static final String PARM

      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

    - #### VALUE

          public static final String VALUE

      See Also:
        Constant Field Values

    - #### VALUE_TYPE

          public static final String VALUE_TYPE

      See Also:
        Constant Field Values

    - #### ENCODING_TYPE

          public static final String ENCODING_TYPE

      See Also:
        Constant Field Values

    - #### CA_CERT

          public static final String CA_CERT

      See Also:
        Constant Field Values

    - #### X_509

          public static final String X_509

      See Also:
        Constant Field Values

    - #### WAP_PROVISIONING_XML

          public static final String WAP_PROVISIONING_XML

      See Also:
        Constant Field Values

    - #### PROVIDER

          public static final String PROVIDER

      See Also:
        Constant Field Values

    - #### ALGORITHM

          public static final String ALGORITHM

      See Also:
        Constant Field Values

    - #### JKS

          public static final String JKS

      See Also:
        Constant Field Values

    - #### SECURITY

          public static final String SECURITY

      See Also:
        Constant Field Values

    - #### WSS_SECURITY_UTILITY

          public static final String WSS_SECURITY_UTILITY

      See Also:
        Constant Field Values

    - #### TIMESTAMP_ID

          public static final String TIMESTAMP_ID

      See Also:
        Constant Field Values

    - #### TIMESTAMP_U

          public static final String TIMESTAMP_U

      See Also:
        Constant Field Values

    - #### TIMESTAMP

          public static final String TIMESTAMP

      See Also:
        Constant Field Values

    - #### TIMESTAMP_0

          public static final String TIMESTAMP_0

      See Also:
        Constant Field Values

    - #### CREATED

          public static final String CREATED

      See Also:
        Constant Field Values

    - #### EXPIRES

          public static final String EXPIRES

      See Also:
        Constant Field Values

    - #### UTF_8

          public static final String UTF_8

      See Also:
        Constant Field Values

    - #### DOMAIN_SEGMENT

          public static final int DOMAIN_SEGMENT

      See Also:
        Constant Field Values

    - #### EMAIL_SEGMENT

          public static final int EMAIL_SEGMENT

      See Also:
        Constant Field Values

    - #### REQUEST_ID

          public static final int REQUEST_ID

      See Also:
        Constant Field Values

    - #### CA_CERTIFICATE_POSITION

          public static final int CA_CERTIFICATE_POSITION

      See Also:
        Constant Field Values

    - #### SIGNED_CERTIFICATE_POSITION

          public static final int SIGNED_CERTIFICATE_POSITION

      See Also:
        Constant Field Values

    - #### APPAUTH_USERNAME_POSITION

          public static final int APPAUTH_USERNAME_POSITION

      See Also:
        Constant Field Values

    - #### APPAUTH_PASSWORD_POSITION

          public static final int APPAUTH_PASSWORD_POSITION

      See Also:
        Constant Field Values

    - #### POLLING_FREQUENCY_POSITION

          public static final int POLLING_FREQUENCY_POSITION

      See Also:
        Constant Field Values

    - #### SYNCML_PROVISIONING_ADDR_POSITION

          public static final int SYNCML_PROVISIONING_ADDR_POSITION

      See Also:
        Constant Field Values

    - #### DOMAIN_POSITION

          public static final int DOMAIN_POSITION

      See Also:
        Constant Field Values

    - #### ENROLL_SUBDOMAIN

          public static final String ENROLL_SUBDOMAIN

      See Also:
        Constant Field Values

    - #### SYNCML_PROVISIONING_SERVICE_URL

          public static final String SYNCML_PROVISIONING_SERVICE_URL

      See Also:
        Constant Field Values

    - #### SYNCML_PROVISIONING_WIN10_SERVICE_URL

          public static final String SYNCML_PROVISIONING_WIN10_SERVICE_URL

      See Also:
        Constant Field Values

    - #### ENROLLMENT_DISPOSITION_MESSAGE

          public static final String ENROLLMENT_DISPOSITION_MESSAGE

      See Also:
        Constant Field Values

Copyright © 2017 WSO2. All rights reserved.